Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 318715 - sys-auth/consolekit-0.4.1 crashes if /etc/ConsoleKit/seats.d under svn
Summary: sys-auth/consolekit-0.4.1 crashes if /etc/ConsoleKit/seats.d under svn
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: High critical (vote)
Assignee: Freedesktop bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-06 03:20 UTC by Mark Purtill
Modified: 2010-09-07 14:34 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Purtill 2010-05-06 03:20:36 UTC
If the directory /etc/ConsoleKit/seats.d/.svn exists, consolekit crashes.

This is fairly serious because if kde is compiled with the consolekit flag, it prevents logging-in via kdm.

Reproducible: Always

Steps to Reproduce:
Put /etc/ConsoleKit/seats.d under svn and do

/etc/init.d/consolekit restart

Actual Results:  
I find the following in /var/log/messages:

May  5 20:13:21 buurin kernel: console-kit-dae[8331]: segfault at 18 ip 000000000040cb29 sp 00007fff01a88230 error 4 in console-kit-daemon[400000+1d000]

and console-kit-daemon does not appear to be running.

Expected Results:  
No crash

Moving the .svn file out of the way appears to prevent the crash; at least, the error message doesn't show up in /var/log/messages and console-kit-daemon appears to be running.

This started happening after upgrading from consolekit-0.3.0-r2 to consolekit-0.4.1.  See also <http://forums.gentoo.org/viewtopic-t-818649-start-0.html>.

Portage 2.1.8.3 (default/linux/amd64/10.0/desktop, gcc-4.3.4, glibc-2.10.1-r1, 2.6.32-gentoo-r7 x86_64)                                                         
=================================================================               
System uname: Linux-2.6.32-gentoo-r7-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q6600_@_2.40GHz-with-gentoo-2.0.1                                                       
Timestamp of tree: Wed, 05 May 2010 04:15:01 +0000                              
distcc 3.1 x86_64-pc-linux-gnu [disabled]                                       
ccache version 2.4 [enabled]                                                    
app-shells/bash:     4.0_p37                                                    
dev-java/java-config: 2.1.10                                                    
dev-lang/python:     2.5.4-r3, 2.6.4-r1                                         
dev-python/pycrypto: 2.0.1-r8                                                   
dev-util/ccache:     2.4-r7                                                     
dev-util/cmake:      2.6.4-r3                                                   
sys-apps/baselayout: 2.0.1                                                      
sys-apps/openrc:     0.6.1-r1                                                   
sys-apps/sandbox:    1.6-r2                                                     
sys-devel/autoconf:  2.13, 2.63-r1                                              
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r3, 1.10.3, 1.11.1          
sys-devel/binutils:  2.18-r3                                                    
sys-devel/gcc:       4.1.2, 4.3.4                                               
sys-devel/gcc-config: 1.4.1                                                     
sys-devel/libtool:   2.2.6b                                                     
virtual/os-headers:  2.6.30-r1                                                  
ACCEPT_KEYWORDS="amd64"                                                         
ACCEPT_LICENSE="* -@EULA dlj-1.1 PUEL"                                          
CBUILD="x86_64-pc-linux-gnu"                                                    
CFLAGS="-march=core2 -ggdb -O2 -pipe"                                           
CHOST="x86_64-pc-linux-gnu"                                                     
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"                     
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"                                                      
CXXFLAGS="-march=core2 -ggdb -O2 -pipe"                                         
DISTDIR="/usr/portage/distfiles"                                                
FEATURES="assume-digests buildpkg ccache distlocks fixpackages installsources news parallel-fetch protect-owned sandbox sfperms splitdebug strict unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"                         
GENTOO_MIRRORS="ftp://buurin/old-distfiles ftp://ftp.ntua.gr/pub/linux/gentoo/ ftp://lug.mtu.edu/gentoo/ http://lug.mtu.edu/gentoo/ http://ftp.ntua.gr/pub/linux/gentoo/ ftp://de-mirror.org/distro/gentoo/ http://130.208.16.26/pub/gentoo/"   
LANG="en_US.UTF-8"                                                              
LDFLAGS="-Wl,-O1"                                                               
LINGUAS="en_US en ja_JP ja"                                                     
MAKEOPTS="-j5 -l16"                                                             
PKGDIR="/usr/portage/packages"                                                  
PORTAGE_CONFIGROOT="/"                                                          
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"                                                  
PORTAGE_TMPDIR="/var/tmp"                                                       
PORTDIR="/usr/portage"                                                          
PORTDIR_OVERLAY="/usr/local/portage/layman/sunrise /usr/local/portage/layman/gentoo-ubuntu-one /usr/local/portage/layman/kde-sunset /usr/local/portage/layman/kde /usr/local/portage/layman/wirelay /usr/local/portage"                         
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"                         
USE="CJK X Xaw3d a52 aac aalib acl acpi alsa amd64 anthy bbdb berkdb blender bluetooth branding bzip2 cairo cdr cjk cli cracklib crypt cups cxx dbus doc dri dts dvd dvdr emacs emboss encode esd exif fam ffmpeg firefox flac fontconfig fortran freewnn gdbm gif gimp gpm graphviz gtk hal iconv imagemagick immqt-bc ipv6 jadetex java java6 joystick jpeg kde kdehiddenvisibility lcms ldap libnotify lm_sensors mad maildir matroska mbox midi mikmod mmx mng modules mp3 mp4 mpeg mplayer mudflap mule multilib ncurses nls nptl nptlonly nvidia ogg opengl openmp pam pango pcre pdf perl pic png ppds pppd python qt3support qt4 quicktime readline reflection ruby scanner sdl session speex spell spl sse sse2 ssl startup-notification svg sysfs tcpd theora tiff truetype unicode usb v4l v4l2 vcd vorbis wmf x264 xcb xine xinerama xml xorg xulrunner xv xvid xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_US en ja_JP ja" RUBY_TARGETS="ruby18" SANE_BACKENDS="epson epson2" USERLAND="GNU" VIDEO_CARDS="vesa nv nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Marco Colombetti 2010-05-06 09:07:16 UTC
I have the same issue with the identical segfault, but i change "hidden=true" in /etc/ConsoleKit/seats.d/00-primary.seat to hide consolekit threads in htop output.
I think perhaps it is the same bug:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=561106

http://cgit.freedesktop.org/ConsoleKit/commit/?id=f01e054a419d7aaf10c1da321bfbff554ffc3c54

I hope this can help.

Comment 2 Samuli Suominen gentoo-dev 2010-09-07 14:34:04 UTC
Fixed by 0.4.2